import java.io.PrintStream;
import type.lib.Stock;

/**
 * @author mb
 * 
 */
public class L06App01 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		PrintStream output = System.out;
		Stock stock1 = new Stock(".AB");
		Stock stock2 = new Stock(".BC");

		output.println(stock1.getName());
		output.println(stock2.getName());
		stock1.titleCaseName = true; // the default value is false, see API
		output.println(stock1.getName());
		output.println(stock2.getName());

		// take home point: titleCaseName is static, so there is only one copy
		// of this attribute shared among all instances. Its value is shared
		// among all instances. Changing the value via one instance has an
		// effect on *all* instances.

		// line 20 above could instead be "Stock.titleCaseName = true;"
		// in fact, the compiler will often warn you that static fields should
		// be accessed in a static way
	}
}
